/**
 * Program POSIXové Fronty
 * @autor František Kučera <franta-hg@frantovo.cz>
 */

#include <mqueue.h>

#ifndef _PROGRAM_H
#define	_PROGRAM_H


#ifdef	__cplusplus
extern "C" {
#endif

    /** Název POSIXové fronty */
    const char* NAZEV_FRONTY = "/mojeFronta";

    /** Vlastnosti fronty */
    struct mq_attr mq_vlastnosti;

    /** Maximální počet zpráv ve frontě (potom začne blokovat) */
    const int POCET_ZPRAV_VE_FRONTE = 5;

    /** Délka jedné zprávy ve frontě */
    const int DELKA_ZPRAVY = 100;

    /** Režim přijímání zpráv */
    void prijimej();

    /** Režim odesílání zpráv */
    void odesilej();

    /**
     * Zeptá se uživatele, zda se má program spustit v odesílacím nebo přijímacím režimu.
     * true = odesílací,
     * false = přijímací
     */
    bool isOdesilaciRezim();

    /** Zpracuje signál jako např. SIGTERM (ten ukončí běh tohoto programu). */
    void zpracujSignal(int signal);

#ifdef	__cplusplus
}
#endif

#endif	/* _PROGRAM_H */

